Bug 868707 - AttributeError: 'NoneType' object has no attribute 'name'
AttributeError: 'NoneType' object has no attribute 'name'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:f7511a12a5e98aafbadcf4e6f86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 17:38 EDT by John Reiser
Modified: 2012-11-23 00:30 EST (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.22-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 00:30:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (577.53 KB, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: product (6 bytes, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: type (9 bytes, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: ifcfg.log (631 bytes, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: storage.log (116.15 KB, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: version (2 bytes, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: environ (781 bytes, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: anaconda.log (21.41 KB, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: syslog (142.91 KB, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: packaging.log (201.06 KB, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: cmdline_file (78 bytes, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: release (24 bytes, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details
File: program.log (42.34 KB, text/plain)
2012-10-21 17:38 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2012-10-21 17:38:13 EDT
Description of problem:
UEFI boot of full install DVD (self-composed TC6, approx.), custom partitioning which mounts formatted partitions created by previous gparted LiveCD, timezone PST, root password set; otherwise Defaults.

Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2159, in writeBootLoader
:    log.info("bootloader stage1 target device is %s" % stage1_device.name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 128, in doInstall
:    writeBootLoader(storage, payload, instClass)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:AttributeError: 'NoneType' object has no attribute 'name'
Comment 1 John Reiser 2012-10-21 17:38:17 EDT
Created attachment 631099 [details]
File: anaconda-tb
Comment 2 John Reiser 2012-10-21 17:38:19 EDT
Created attachment 631100 [details]
File: product
Comment 3 John Reiser 2012-10-21 17:38:21 EDT
Created attachment 631101 [details]
File: type
Comment 4 John Reiser 2012-10-21 17:38:23 EDT
Created attachment 631102 [details]
File: ifcfg.log
Comment 5 John Reiser 2012-10-21 17:38:24 EDT
Created attachment 631103 [details]
File: storage.log
Comment 6 John Reiser 2012-10-21 17:38:26 EDT
Created attachment 631104 [details]
File: version
Comment 7 John Reiser 2012-10-21 17:38:28 EDT
Created attachment 631105 [details]
File: environ
Comment 8 John Reiser 2012-10-21 17:38:29 EDT
Created attachment 631106 [details]
File: anaconda.log
Comment 9 John Reiser 2012-10-21 17:38:31 EDT
Created attachment 631107 [details]
File: syslog
Comment 10 John Reiser 2012-10-21 17:38:32 EDT
Created attachment 631108 [details]
File: hashmarkername
Comment 11 John Reiser 2012-10-21 17:38:34 EDT
Created attachment 631109 [details]
File: packaging.log
Comment 12 John Reiser 2012-10-21 17:38:35 EDT
Created attachment 631110 [details]
File: cmdline_file
Comment 13 John Reiser 2012-10-21 17:38:36 EDT
Created attachment 631111 [details]
File: release
Comment 14 John Reiser 2012-10-21 17:38:38 EDT
Created attachment 631112 [details]
File: program.log
Comment 15 John Reiser 2012-10-21 21:18:13 EDT
Reproduced bug 868707 using official Beta-TC6.

Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 16 John Reiser 2012-10-26 23:21:13 EDT
UEFI boot of Beta Smoke 12 (self-composed DVD, then livecd-iso-to-disk onto USB flash memory).  Custom partitioning, use partitioning layout created by gparted; request anaconda to re-format /boot/efi, /boot, /.  Timezone PT; otherwise Defaults.

Package: anaconda-18.21
OS Release: Fedora release 18
Comment 17 Brian Lane 2012-10-29 11:53:50 EDT
Note that the Fixed In Version field is used to indicate which version the fix will be built into. Modified means it has been pushed to the anaconda repo. It will be in the next build, and is not in 18.21
Comment 18 Fedora Update System 2012-10-31 22:53:03 EDT
anaconda-18.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.22-1.fc18
Comment 19 Fedora Update System 2012-11-01 14:29:09 EDT
Package anaconda-18.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.22-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17432/anaconda-18.22-1.fc18
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-11-02 00:07:18 EDT
anaconda-18.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.23-1.fc18
Comment 21 Fedora Update System 2012-11-02 21:06:58 EDT
anaconda-18.24-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.24-1.fc18
Comment 22 Fedora Update System 2012-11-05 20:42:01 EST
anaconda-18.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.25-1.fc18
Comment 23 Fedora Update System 2012-11-06 21:14:10 EST
anaconda-18.26-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.26-1.fc18
Comment 24 Adam Williamson 2012-11-23 00:30:36 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

(we have success reported for UEFI/DVD install of Beta RC1 in the matrix).

Note You need to log in before you can comment on or make changes to this bug.